package com.mgh.pmdm.u1_cpe5_contadorintents

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.TextView

class MostrarContador : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_mostrar_contador)

        // Con intent recuperamos la Intent que abrió la
        // actividad, y podemos consultar a través de ella
        // toda la información asociada, en nuestro caso
        // el valor extra con el contador
        val contador:Int? = intent.getIntExtra("contador", 0)

        // Localizamos el texto con el contador y
        // establecemos el valor recuperado
        val contadorTextView=findViewById<TextView>(R.id.muestraContador)
        contadorTextView.setText(contador.toString())


        // Gestión del clic en el botón de cerrar
        val btClose=findViewById<Button>(R.id.btClose)
        btClose.setOnClickListener{
            finish()
        }


    }
}